package com.tutego.insel.io.stream;

import java.io.*;

public class FileReaderDemo
{
  public static void main( String[] args )
  {
    Reader f = null;
    
    try
    {
      f = new FileReader( "bin/lyrics.txt" );
    
      for ( int c; ( c = f.read() ) != -1; )
        System.out.print( (char) c );
    }
    catch ( IOException e ) {
      System.err.println( "Error reading file!" );
    }
    finally {
      try { f.close(); } catch ( Exception e ) { }
    }
}
}
